<?php

declare(strict_types=1);

namespace Plugin\cin_vivawallet_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20231207085843 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('CREATE TABLE IF NOT EXISTS `cin_plugins_jwt` (
      `id` INT NOT NULL,
      `jwt` VARCHAR(512) NOT NULL)');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('SELECT 1');
    }
  }
}