<?php

declare(strict_types=1);

namespace Cin\Vivawallet5\common;

final class ApiUrl
{
  private $DEMO_ACCOUNTS = 'https://demo-accounts.vivapayments.com/connect/token';

  private $LIVE_ACCOUNTS = 'https://accounts.vivapayments.com/connect/token';

  private $DEMO_API = 'https://demo-api.vivapayments.com/';

  private $LIVE_API = 'https://api.vivapayments.com/';

  private $live;

  public function Accounts(string $from): string
  {
    $route = mb_strtoupper($from).'_ACCOUNTS';

    return $this->{$route};
  }

  public function Api(string $from): string
  {
    $route = mb_strtoupper($from).'_API';

    return $this->{$route};
  }
}
