<link rel="stylesheet" href="{$commonURL}css/nprogress.css">
<link rel="stylesheet" href="{$frontendurl}css/vivawallet.css">
<div class="vivawallet-frame">
  <form id="vivawallet" data-paymentdetailsurl="{$frontendurl}payment_details.php">
    <div class="row">
      <div class="col-xs-12 col-md-12">
        <img src="{$commonURL}img/viva-wallet-logo.png" class="img-responsive">
      </div>
    </div>
    <fieldset>
      <div class="row">
        <div class="col-xs-12 col-md-12">
          <legend>{$langvars['cin_vivawallet_creditcardinformation']}</legend>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12 col-md-12">
          <div class="form-group required">
            <label for="cardholdername" class="control-label">{$langvars['cin_vivawallet_cardholdername']}</label>
            <input type="text" data-vp="cardholder" name="txtCardHolder" value="" id="cardholdername"
              class="form-control" placeholder="{$langvars['cin_vivawallet_cardholdername']}" required>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12 col-md-12">
          <div class="form-group required">
            <label for="cardnumber" class="control-label">{$langvars['cin_vivawallet_cardnumber']}</label>
            <div class="cardnumber-group">
              <input type="text" data-vp="cardnumber" name="txtCardNumber" value="" id="cardnumber" class="form-control"
                placeholder="{$langvars['cin_vivawallet_cardnumber']}" required>
              <div class="cardindicator hidden-xs hidden-sm"></div>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12 col-md-12">
          <div class="form-group date-row required">
            <div>
              <label for="cvv" class="control-label">{$langvars['cin_vivawallet_cvv']}</label>
              <input type="text" data-vp="cvv" name="txtCVV" value="" id="cvv" class="form-control"
                placeholder="{$langvars['cin_vivawallet_cvv']}" required>
            </div>
            <div>
              <label for="expiration_date">{$langvars['cin_vivawallet_expiration']}</label>
              <input type="month" min="{$langvars['now']}" value="{$langvars['now']}" name="txtDate"
                id="expiration_date" class="form-control"
                placeholder="{$langvars['cin_vivawallet_expiration_year']}-{$langvars['cin_vivawallet_expiration_month']}"
                pattern="{literal}2\d{3}-((0[1-9])|(1[0-2]))${/literal}" required>
            </div>
          </div>
        </div>
      </div>
      <div class="row hidden-container">
        <div class="col-xs-12 col-md-12">
          <div class="form-group required">
            <div>
              <input type="text" data-vp="month" name="txtMonth" id="expiration_month" class="form-control"
                placeholder="{$langvars['cin_vivawallet_expiration_month']}" hidden>
              <input type="text" data-vp="year" name="txtYear" id="expiration_year" class="form-control"
                placeholder="{$langvars['cin_vivawallet_expiration_year']}" hidden>
            </div>
          </div>
        </div>
      </div>
      <div class="row" style="display: none;" id="installmentscontainer">
        <div class="col-xs-12 col-md-12">
          <div class="form-group">
            <label for="drpInstallments">{$langvars['cin_vivawallet_installments']}</label>
            <select id="js-installments" name="drpInstallments" class="form-control">
              <option value="1">1</option>
            </select>
          </div>
        </div>
      </div>
    </fieldset>
    <div class="submit-holder">
      <input type="submit" value="{$langvars['cin_vivawallet_orderliabletopay']}" id="commit-payment-button"
        class="btn btn-primary btn-lg submit submit_once">
    </div>
    <div class="lock hidden">
      <span class="display"></span>
    </div>
    <div class="oopsie hidden">
      <span class="display">
        <span class="text">{$langvars['cin_vivawallet_oopsie']}</span>
        <div class="choices">
          <a href="#"
            onclick="javascript:document.querySelector('#vivawallet .oopsie').classList.add('hidden'); return false;">
            <button class="btn btn-primary">{$langvars['cin_vivawallet_check_entries']}</button>
          </a>
          <a href="{get_static_route id='bestellvorgang.php'}?editVersandart=1"
            class="btn btn-primary">{$langvars['cin_vivawallet_choose_shipping_payment']}</a>
        </div>
      </span>
    </div>
  </form>
  <div class="row">
    <div class="col-xs-12">
      <div id="cardholderauthplaceholder"></div>
    </div>
  </div>
</div>
<script type="text/javascript" src="https://www.vivapayments.com/web/checkout/v2/js" charset="utf-8"></script>
<script src="{$frontendurl}js/jquery.creditCardValidator.js" charset="utf-8"></script>
<script src="{$commonURL}js/nprogress.js" charset="utf-8"></script>
<script src="{$commonURL}js/notify.min.js" charset="utf-8"></script>
<script src="{$frontendurl}js/vivawallet.js" charset="utf-8"></script>
