<?php

declare(strict_types=1);

namespace Plugin\cin_vivawallet_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20231207085057 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('CREATE TABLE IF NOT EXISTS `cin_plugins` (
      `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
      `plugin_id` VARCHAR(255) NOT NULL, 
      `last_check` DATETIME, 
      `unchecked_since` DATETIME DEFAULT NULL, 
      `mail_sent` TINYINT)');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('CREATE TABLE IF NOT EXISTS `cin_plugins` (
      `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
      `plugin_id` VARCHAR(255) NOT NULL, 
      `last_check` DATETIME, 
      `unchecked_since` DATETIME DEFAULT NULL, 
      `mail_sent` TINYINT)');
    }
  }
}