<?php

declare(strict_types=1);

namespace Plugin\cin_vivawallet_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20231207090019 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('CREATE TABLE IF NOT EXISTS xplugin_cin_vivawallet_access_tokens (
      id INT NOT NULL auto_increment,
      access_token TEXT NOT NULL,
      expires_in INT NOT NULL,
      token_type varchar(100) NOT NULL,
      scope TEXT NOT NULL,
      auth_response TEXT NOT NULL,
      created_at DATETIME DEFAULT current_timestamp NOT NULL,
      PRIMARY KEY (id)
     )
     ENGINE=InnoDB
     DEFAULT CHARSET=utf8
     COLLATE=utf8_general_ci');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('SELECT 1');
    }
  }
}