<?php

declare(strict_types=1);
use JTL\Shop;

require \dirname(__DIR__, 1).'/vendor/autoload.php';

$pdo = Shop::Container()->getDB()->getPDO();

$stmt = $pdo->prepare('SELECT cISO AS cWert,cISO AS cName FROM twaehrung ORDER BY cISO');
$stmt->execute();
$currencies = $stmt->fetchAll(PDO::FETCH_ASSOC);

$options = array_map(static function ($currency) {
  global $nSort;
  if (null === $nSort) {
    $nSort = 1;
  }
  $option        = new stdClass();
  $option->cWert = $currency['cWert'];
  $option->cName = $currency['cName'];
  $option->nSort = $nSort;
  ++$nSort;

  return $option;
}, $currencies);

return $options;
